Bug 506682 - fsck.gfs2: Message printed to stderr instead of stdout
fsck.gfs2: Message printed to stderr instead of stdout
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 05:55 EDT by Jaroslav Kortus
Modified: 2010-03-30 04:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: gfs2-utils-0.1.62-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2009-06-18 05:55:21 EDT
Description of problem:
"(level 1 passed)" is printed if you run gfs2_fsck ${DEVICE} -v -v > file.

Version-Release number of selected component (if applicable):
GFS2 fsck 0.1.58 (built May 29 2009 15:43:58)
gfs2-utils-0.1.58-1.el5

How reproducible:
always

Steps to Reproduce:
1. run gfs2_fsck -v -v ${DEVICE} > /tmp/file
2.
3.
  
Actual results:
"(level 1 passed)" message is printed to console

Expected results:
The message is printed to stdout as all the others

Additional info:
Comment 1 Robert Peterson 2009-06-23 10:28:51 EDT
Easy one-line fix; requesting ack flags.
Comment 2 Robert Peterson 2009-06-30 17:32:16 EDT
The fix has been pushed to the master branch of the gfs2-utils
git repository and the RHEL5, STABLE2 and STABLE3 branches of
the cluster.git repository for inclusion into 5.5.  Changing status
to Modified.
Comment 3 Robert Peterson 2009-08-17 12:24:47 EDT
Pushed to the RHEL55 branch of cluster.git.  Changing status to POST.
Comment 4 Robert Peterson 2009-08-19 10:07:24 EDT
Built according to the new procedure.  Changing to Modified.
Comment 9 errata-xmlrpc 2010-03-30 04:54:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0287.html

Note You need to log in before you can comment on or make changes to this bug.